Subject: Re: Native Messaging in librewolf doesn't work

From: Rutherther <[email-masked]>
Date: Mon, 31 Mar 2025 22:18:41 +0200

Hello Konrad,

I would like to confirm the same behavior on my end. This happens with
every native messaging extension I tried, doesn't seem to be just some.
Actually, it used to work, then after something updated in Guix it
stopped working. The same for Firefox from nonguix.

I have no idea how to debug this since Firefox apparently decided to
print the most helpful message ever for any and every error in the
native hosting! Sigh. That's why I haven't even reported it, because I
wanted to share at least some information about it, but could find
nothing. My only other idea was to look through the librewolf
compilation log, maybe it will print a warning about a missing/wrong
dependency etc.

Regards,
Rutherther